package com.ssj.bean.mybatis;

import com.ssj.bean.sys.homework.domain.HomeworkPicture;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2019/9/18
 */
public class HomeworkPictureMBDto extends HomeworkPicture implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 姓名
     */
    private String childName;
    /**
     * 开始批改时间
     */
    private String startTime;
    /**
     * 批改结束时间
     */
    private String endTime;
    /**
     * 创建日期
     */
    private String createDate;

    private Date beginTime;
    /**
     * 批改老师名字
     */
    private String teacherName;
    /**
     * 批改老师头像
     */
    private String teacherImg;
    /**
     * 匹配老师名字
     */
    private String knowTeacherName;
    /**
     * 匹配老师头像
     */
    private String knowTeacherImg;
    /**
     * 质检人
     */
    private String checker;
    /**
     * 质检人头像
     */
    private String checkerImgUrl;
    /**
     * 质检时间
     */
    private Date checkDate;
    /**
     * 是否质检批改错误（0：否，1：是）
     */
    private int isCheckError;

    private int workType;

    private int homeworkNum;

    private int feedbackNum;

    private int picNum;

    private Date remindTime;

    public int getPicNum() {
        return picNum;
    }

    public void setPicNum(int picNum) {
        this.picNum = picNum;
    }

    public Date getRemindTime() {
        return remindTime;
    }

    public void setRemindTime(Date remindTime) {
        this.remindTime = remindTime;
    }

    public int getHomeworkNum() {
        return homeworkNum;
    }

    public void setHomeworkNum(int homeworkNum) {
        this.homeworkNum = homeworkNum;
    }

    public int getFeedbackNum() {
        return feedbackNum;
    }

    public void setFeedbackNum(int feedbackNum) {
        this.feedbackNum = feedbackNum;
    }

    public int getWorkType() {
        return workType;
    }

    public void setWorkType(int workType) {
        this.workType = workType;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getKnowTeacherName() {
        return knowTeacherName;
    }

    public void setKnowTeacherName(String knowTeacherName) {
        this.knowTeacherName = knowTeacherName;
    }

    @Override
    public String getChecker() {
        return checker;
    }

    @Override
    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getCheckerImgUrl() {
        return checkerImgUrl;
    }

    public void setCheckerImgUrl(String checkerImgUrl) {
        this.checkerImgUrl = checkerImgUrl;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getTeacherImg() {
        return teacherImg;
    }

    public void setTeacherImg(String teacherImg) {
        this.teacherImg = teacherImg;
    }

    @Override
    public Date getCheckDate() {
        return checkDate;
    }

    @Override
    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    @Override
    public int getIsCheckError() {
        return isCheckError;
    }

    @Override
    public void setIsCheckError(int isCheckError) {
        this.isCheckError = isCheckError;
    }

    public String getKnowTeacherImg() {
        return knowTeacherImg;
    }

    public void setKnowTeacherImg(String knowTeacherImg) {
        this.knowTeacherImg = knowTeacherImg;
    }
}
